/*=============================================================================
Vitalnix User Management Suite
steelmill/common.hpp
  Copyright © Jan Engelhardt <jengelh [at] gmx de>, 2005 - 2006
  -- License restrictions apply (LGPL v2.1)

  This file is part of Vitalnix.
  Vitalnix is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published
  by the Free Software Foundation; however ONLY version 2 of the License.

  Vitalnix is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program kit; if not, write to:
  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA

  -- For details, see the file named "LICENSE.LGPL2"
=============================================================================*/
#ifndef STEELMILL_COMMON_HPP
#define STEELMILL_COMMON_HPP 1

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#    include <wx/wx.h>
#endif
#include <wx/gbsizer.h>

// Definitions
#define wxACV   wxALIGN_CENTER_VERTICAL
#define wxCFF   (wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxCLOSE_BOX | \
                 wxMAXIMIZE_BOX | wxMINIMIZE_BOX | wxFRAME_NO_TASKBAR)
#define wxDPOS  wxDefaultPosition
#define wxDSIZE wxDefaultSize

#define PROD_NAME "Vitalnix 2006"

enum {
    FTC_DIRECTORY = 1 << 0,
};

/*
 *      COMMON.CPP
 */
extern wxPanel *smc_logo_panel(wxWindow *);
extern wxBoxSizer *smc_navgen(wxWindow *, const char * = "", int = 3);
extern void smc_size_aspect(wxWindow *, double = 1.5);
extern void smc_size_minimum(wxWindow *, int, int);

class GD_Listbox : public wxDialog {
  public: // functions
    GD_Listbox(wxWindow *, const char *, const struct HXdeque *, long = 0);
    GD_Listbox(wxWindow *, const char *, void (*)(wxListBox *,
        const void *) = NULL, const void * = NULL, long = 0);
        
    int Append(const wxString &s) { return ct_listbox->Append(s); };

  protected: // variables
    wxListBox *ct_listbox;

  private: // variables
    DECLARE_EVENT_TABLE();
};

class GD_Message : public wxDialog {
  public: // functions
    GD_Message(wxWindow *, const char * = NULL, const char * = NULL,
        const char * = "");

  protected: // functions
    void Yes(wxCommandEvent &);
    void No(wxCommandEvent &);
    void Cancel(wxCommandEvent &);

  private: // variables
    DECLARE_EVENT_TABLE();
};

class GW_FTC : public wxPanel {
  public: // functions
    GW_FTC(wxWindow *parent, const char *string, int = 0, unsigned int = 0);
    const char *GetValue(void);

  protected: // functions
    void Browse(wxCommandEvent &);

  protected: // variables
    wxTextCtrl *textfield;
    unsigned int flags;

  private: // variables
    DECLARE_EVENT_TABLE();
};

#endif // STEELMILL_COMMON_HPP

//=============================================================================
