/*=============================================================================
Vitalnix User Management Suite
steelmill/xu_loader.cpp
  Copyright © Jan Engelhardt <jengelh [at] gmx de>, 2005 - 2006
  -- License restrictions apply (LGPL v2.1)

  This file is part of Vitalnix.
  Vitalnix is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published
  by the Free Software Foundation; however ONLY version 2 of the License.

  Vitalnix is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program kit; if not, write to:
  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA

  -- For details, see the file named "LICENSE.LGPL2"
=============================================================================*/
#include <stdio.h>
#include <stdlib.h>
#include <wx/wx.h>
#include <steelmill/images.hpp>
#include "steelmill/common.hpp"
#include "steelmill/wd_main.hpp"
#include "steelmill/wd_splash.hpp"

// Definitions
enum {
    ID_TICK = 1,
};

// Structures
class Steelmill : public wxApp {
  public: // functions
    bool OnInit(void);

  private: //functions
    void splash_tick(wxTimerEvent &);

  private: // variables
    unsigned int splash_done;
    DECLARE_EVENT_TABLE();
};

//-----------------------------------------------------------------------------
IMPLEMENT_APP(Steelmill);

BEGIN_EVENT_TABLE(Steelmill, wxApp)
    EVT_TIMER(ID_TICK, Steelmill::splash_tick)
END_EVENT_TABLE()

bool Steelmill::OnInit(void) {
    WD_MainMenu *mm;
    WD_Splash *spl;
    wxTimer *timer;

    wxInitAllImageHandlers();
    initialize_images();
    this->splash_done = 0;

    timer = new wxTimer(this, ID_TICK);
    spl   = new WD_Splash();
    spl->Show(true);
    Yield(); // increases "instantaneousness"
//    timer->Start(1000, true);

    mm = new WD_MainMenu(PROD_NAME, wxSize(800, 600));
/*    while(this->splash_done < 1)
        Yield(); */

    mm->Show(true);
/*    timer->Start(1000, true);
    while(this->splash_done < 2)
        Yield(); */

    delete spl;
    delete timer;
    return true;
}

void Steelmill::splash_tick(wxTimerEvent &event) {
    ++this->splash_done;
    return;
}

//=============================================================================
